/*
 * Class NUMERIC_INFORMATION
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_55 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_55 [] = {0xFF01,237,54,0xFFFF};
static const EIF_TYPE_INDEX egt_2_55 [] = {0xFF01,54,0xFFFF};
static const EIF_TYPE_INDEX egt_3_55 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_55 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_55 [] = {0xFF01,54,0xFFFF};
static const EIF_TYPE_INDEX egt_6_55 [] = {0xFF01,54,0xFFFF};
static const EIF_TYPE_INDEX egt_7_55 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_55 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_55 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_55 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_55 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_55 [] = {0xFF01,54,0xFFFF};


static const struct desc_info desc_55[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_55), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_55), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_55), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_55), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_55), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_55), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_55), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_55), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_55), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_55), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_55), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_55), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x6D /*54*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_55), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0179 /*188*/), 1162, 8},
	{EIF_NON_GENERIC(0x01A9 /*212*/), 1163, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 1164, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1165, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1166, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1167, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1168, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1169, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1170, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1171, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1172, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1173, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1174, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1175, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1176, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1177, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1178, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1179, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1180, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1181, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1182, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1161, 0xFFFFFFFF},
};
void Init55(void)
{
	IDSC(desc_55, 0, 54);
	IDSC(desc_55 + 1, 1, 54);
	IDSC(desc_55 + 32, 264, 54);
}


#ifdef __cplusplus
}
#endif
